; provider.inc 
;
;This file was converted by ObjAsmify v1.0
;YAY!

;  MyEventProvider.mc 
;  This is the header section.
;  The following are the categories of events.
; 
;   Values are 32 bit values layed out as follows:
; 
;    3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
;    1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
;   +---+-+-+-----------------------+-------------------------------+
;   |Sev|C|R|     Facility          |               Code            |
;   +---+-+-+-----------------------+-------------------------------+
; 
;   where
; 
;       Sev - is the severity code
; 
;           00 - Success
;           01 - Informational
;           10 - Warning
;           11 - Error
; 
;       C - is the Customer code flag
; 
;       R - is a reserved bit
; 
;       Facility - is the facility code
; 
;       Code - is the facility's status code
; 
; 
;  Define the facility codes
; 
FACILITY_SYSTEM equ 0x0
FACILITY_STUBS equ 0x3
FACILITY_RUNTIME equ 0x2
FACILITY_IO_ERROR_CODE equ 0x4


; 
;  Define the severity codes
; 
STATUS_SEVERITY_WARNING equ 0x2
STATUS_SEVERITY_SUCCESS equ 0x0
STATUS_SEVERITY_INFORMATIONAL equ 0x1
STATUS_SEVERITY_ERROR equ 0x3


; 
;  MessageId: NETWORK_CATEGORY
; 
;  MessageText:
; 
;   Network Events
; 
NETWORK_CATEGORY equ ((WORD)0x00000001L)

; 
;  MessageId: DATABASE_CATEGORY
; 
;  MessageText:
; 
;   Database Events
; 
DATABASE_CATEGORY equ ((WORD)0x00000002L)

; 
;  MessageId: UI_CATEGORY
; 
;  MessageText:
; 
;   UI Events
; 
UI_CATEGORY equ ((WORD)0x00000003L)

 ;  The following are the message definitions.
; 
;  MessageId: MSG_INVALID_COMMAND
; 
;  MessageText:
; 
;   The command is not valid.
; 
MSG_INVALID_COMMAND equ ((DWORD)0xC0020100L)

; 
;  MessageId: MSG_BAD_FILE_CONTENTS
; 
;  MessageText:
; 
;   File %1 contains content that is not valid.
; 
MSG_BAD_FILE_CONTENTS equ ((DWORD)0xC0000101L)

; 
;  MessageId: MSG_RETRIES
; 
;  MessageText:
; 
;   There have been %1 retries with %2 success! Disconnect from
;   the server and try again later.
; 
MSG_RETRIES equ ((DWORD)0x80000102L)

; 
;  MessageId: MSG_COMPUTE_CONVERSION
; 
;  MessageText:
; 
;   %1 %%4096 = %2 %%4097. 
; 
MSG_COMPUTE_CONVERSION equ ((DWORD)0x40000103L)

 ;  The following are the parameter strings */
; 
;  MessageId: QUARTS_UNITS
; 
;  MessageText:
; 
;   quarts%0
; 
QUARTS_UNITS equ ((DWORD)0x00001000L)

; 
;  MessageId: GALLONS_UNITS
; 
;  MessageText:
; 
;   gallons%0
; 
GALLONS_UNITS equ ((DWORD)0x00001001L)

